neovim

Neovim text editor
git clone https://git.dasho.dev/neovim.git
Log | Files | Refs | README

commit 5c49129c5e334a9c7da253499cd9aa19358d4ac9
parent 9370e1c5111ee90f64260398b0623da4759f8f16
Author: Justin M. Keyes <justinkz@gmail.com>
Date:   Fri, 15 Jul 2022 17:42:00 +0200

Merge #19324 ci: cleanup ci/ files


Diffstat:
M.github/workflows/ci.yml | 10+++++-----
M.github/workflows/env.sh | 2--
Dci/run_lint.sh | 24------------------------
Mci/run_tests.sh | 6++++++
Dci/script.sh | 12------------
5 files changed, 11 insertions(+), 43 deletions(-)

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml @@ -108,7 +108,7 @@ jobs: - if: "!cancelled()" name: lintcfull - run: ./ci/run_lint.sh lintcfull + run: make lintcfull - if: "!cancelled()" name: lintstylua @@ -125,19 +125,19 @@ jobs: - if: "!cancelled()" name: lintlua - run: ./ci/run_lint.sh lintlua + run: make lintlua - if: "!cancelled()" name: lintpy - run: ./ci/run_lint.sh lintpy + run: make lintpy - if: "!cancelled()" name: lintsh - run: ./ci/run_lint.sh lintsh + run: make lintsh - if: "!cancelled()" name: check-single-includes - run: ./ci/run_lint.sh check-single-includes + run: make check-single-includes - name: Cache dependencies run: ./ci/before_cache.sh diff --git a/.github/workflows/env.sh b/.github/workflows/env.sh @@ -9,7 +9,6 @@ EOF cat <<EOF >> "$GITHUB_ENV" CACHE_ENABLE=true -CI_TARGET=tests CI_BUILD_DIR=$GITHUB_WORKSPACE BUILD_DIR=$GITHUB_WORKSPACE/build DEPS_BUILD_DIR=$HOME/nvim-deps @@ -58,7 +57,6 @@ EOF DEPS_CMAKE_FLAGS="$DEPS_CMAKE_FLAGS -DUSE_BUNDLED_LUV=ON" cat <<EOF >> "$GITHUB_ENV" USE_BUNDLED=OFF -CI_TARGET=lint EOF ;; functionaltest-lua) diff --git a/ci/run_lint.sh b/ci/run_lint.sh @@ -1,24 +0,0 @@ -#!/usr/bin/env bash - -set -e -set -o pipefail - -CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" - -source "${CI_DIR}/common/build.sh" -source "${CI_DIR}/common/suite.sh" - -rm -f "$END_MARKER" - -# Run all tests if no input argument is given -if (($# == 0)); then - tests=('lintcfull' 'lintlua' 'lintpy' 'lintsh' 'check-single-includes') -else - tests=("$@") -fi - -for i in "${tests[@]}"; do - make "$i" || fail "$i" -done - -end_tests diff --git a/ci/run_tests.sh b/ci/run_tests.sh @@ -33,3 +33,9 @@ for i in "${tests[@]}"; do done end_tests + +if [[ -s "${GCOV_ERROR_FILE}" ]]; then + echo '=== Unexpected gcov errors: ===' + cat "${GCOV_ERROR_FILE}" + exit 1 +fi diff --git a/ci/script.sh b/ci/script.sh @@ -1,12 +0,0 @@ -#!/usr/bin/env bash - -set -e -set -o pipefail - -ci/run_${CI_TARGET}.sh - -if [[ -s "${GCOV_ERROR_FILE}" ]]; then - echo '=== Unexpected gcov errors: ===' - cat "${GCOV_ERROR_FILE}" - exit 1 -fi